dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AwardUpgrade(eGOODIE_FOOD1);

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
--LManager:AddGame(eGAME_SHELL);
--LManager:AddGame(eGAME_COMBO);

--square block formation
LManager:AddTable(eTYPE_TABLE5, 210, 370);
LManager:AddTable(eTYPE_TABLE6, 395, 370);
LManager:AddTable(eTYPE_TABLE7, 200, 490);
LManager:AddTable(eTYPE_TABLE8, 380, 490);
LManager:AddTable(eTYPE_TABLE9, 560, 490);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 5;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 34000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 71000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 100000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 138000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 173000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_GIFT;
guest.times[1] = 10000;
guest.needs[1] = eWANT_TALK;
guest.times[1] = 48000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 78000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 112000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 145000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 183000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 208000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 17000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 49000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 93000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 103000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 152000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 190000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 22000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 56000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 100000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 112000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 160000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 192000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 29000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 64000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 125000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 167000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 200000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 215000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(2,4);
LManager:SetLevelScores(6350, 6990);
LManager:SetLevelTime(45000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();